<?php

namespace App\Http\Controllers;

use App\Models\ContactMessage;
use Illuminate\Contracts\View\View;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class GettingHereController extends Controller
{
    public function index(): View
    {
        return view('getting-here');
    }

    public function store(Request $request): RedirectResponse
    {
        $data = $request->validate([
            'name' => 'required|string|max:190',
            'email' => 'required|email|max:190',
            'subject' => 'required|string|max:190',
            'message' => 'required|string|max:1000',
        ]);

        ContactMessage::query()->create($data);

        return redirect()->back()->with('success', 'Thank you for reaching us. We will get to you soon.');
    }
}
