<?php

namespace App\Http\Controllers;

use App\Enums\StatusEnum;
use App\Models\Banner;
use App\Models\Event;
use App\Models\Project;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    public function index()
    {
        $banners = Banner::query()->where('status', StatusEnum::ACTIVE)->orderBy('order')->get();
        $projects = Project::query()->active()->orderBy('order')->get();
        $events = Event::query()->active()->orderBy('order')->get();

        return view('home')->with(['banners' => $banners, 'projects' => $projects, 'events' => $events]);
    }

    public function changeLang($lang)
    {
        if (in_array($lang, ['en', 'ar'])) {
            session(['language' => $lang]);
        }
        return redirect()->back();
    }
}
