<?php

namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Store;
use Illuminate\Http\Request;

class StoreLocatorController extends Controller
{
    public function storeLocators()
    {

        $stores = Store::query()->active()->get();
        $categories = Category::query()->active()->parent()->orderBy('order')->get();
        $subCategories = Category::query()->active()->child()->orderBy('order')->get();

        return view('store-locator')->with(['stores' => $stores, 'categories' => $categories, 'subCategories' => $subCategories]);
    }

    public function getFilterStoreLocators(Request $request)
    {

        $categoryId = $request->get('category_id');
        $name = $request->get('name');
        $stores = Store::query()->active();

        if ($categoryId) {
            $stores->where('category_id', $categoryId)->orWhere('parent_id', $categoryId);
        }
        if ($name) {
            $stores->where('name_en', 'like', "%$name%")->orWhere('name_ar', 'like', "%$name%");
        }
        $data = [];
        foreach ($stores->get() as $store) {
            $data[] = [
                'name' => $store->name,
                'number' => $store->number,
            ];
        }

        return response()->json([
            'success' => true,
            'data' => $data,
        ]);
    }
}
