<?php

namespace Database\Seeders;

use App\Enums\BusinessSettingEnum;
use App\Models\BusinessSetting;
use Illuminate\Database\Seeder;

class BusinessSettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        foreach (BusinessSettingEnum::cases() as $case) {
            $setting = BusinessSetting::firstWhere([
                ['key', '=', $case->value],
            ]);
            if (! $setting) {
                BusinessSetting::create([
                    'key' => $case->value,
                    'value' => $case->getLabel(),
                ]);
            }
        }
    }
}
