@extends('layout.app')
@push('css')

    <style>
        .section-wrapper {
            margin-bottom: unset !important;
        }

        .contact-modal1_content-wrapper {
            margin-right: auto !important;
            margin-left: auto !important;

        }
    </style>
    @section('content')
        <div class="page-hero">
            <img
                src="{{ config('business_setting.' . \App\Enums\BusinessSettingEnum::GETTING_HERE_PAGE_BANNER->value) }}"
                loading="eager"
                alt=""
                class="page-hero-image"
            />
            <div class="content-wrapper">
                <h1 class="page-hero-banner-heading">{{ __("messages.getting_here") }}</h1>
            </div>
        </div>

        <section class="section-wrapper">
            <div class="content-wrapper pb-0">
                <iframe
                    src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3577.885680803679!2d50.59410828752231!3d26.26537341783557!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3e49a709d9f6ccb7%3A0xf36616f04ae0f57d!2sAl%20Sayh%20Saqure!5e0!3m2!1sen!2sbh!4v1720010459170!5m2!1sen!2sbh"
                    width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy"
                    referrerpolicy="no-referrer-when-downgrade"></iframe>
            </div>
        </section>

        <section class="contact-us d-flex justify-content-center">


            <div class="contact-modal1_content-wrapper">

                <p class="text-size-medium">
                    <strong>{{ __('messages.contact_us') }}</strong>
                </p>
                <div class="">
                    @if(session()->has('success'))
                        <div
                            style="background: green; color: white; width: 100%; text-align: center; padding: 10px 5px; border-radius: 25px;">
                            {{ session()->get('success') }}
                        </div>
                    @endif
                    <form method="post" class="contact-modal1_form" action="{{ route('getting-here') }}">
                        @csrf
                        <div class="col">
                            <div class="form-field-wrapper">
                                <label for="Name-2" class="field-label">{{ __('messages.name') }}</label>
                                <input class="form-input-3 w-input" maxlength="256" name="name"
                                       placeholder="" type="text" id="Name-2" required value="{{ old('name') }}">
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-field-wrapper">
                                <label for="Email" class="field-label">{{ __('messages.email') }}</label>
                                <input class="form-input-3 w-input" name="email" type="email"
                                       id="Email" required value="{{ old('email') }}">
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-field-wrapper">
                                <label for="Name-2" class="field-label">{{ __('messages.subject') }}</label>
                                <input class="form-input-3 w-input" maxlength="256" name="subject"
                                       placeholder="" type="text" required value="{{ old('subject') }}">
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-field-wrapper">
                                <label for="Email" class="field-label">{{ __('messages.message') }}</label>
                                <textarea class="form-input-3 w-input" maxlength="256" placeholder=""
                                          id="Email" required="" name="message" required></textarea>
                            </div>
                        </div>
                        @if ($errors->any())
                            @foreach ($errors->all() as $error)
                                <div style="color: red">{{$error}}</div>
                            @endforeach
                        @endif
                        <input type="submit" id="w-node-fe1baa71-da54-cc2b-8854-8af428f84728-0232d26f"
                               class="button w-button btn-sm" value="{{ __('messages.submit') }}">
                    </form>


                </div>
            </div>
        </section>
    @endsection

    @push('js')
    @endpush
