<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>" dir="<?php echo e(app()->getLocale() == 'ar' ? 'rtl' : ''); ?>">
<!-- lang="ar" dir="rtl" -->
<meta name="viewport" content="width=device-width, initial-scale=1.0">


<head>
    <meta charset="utf-8"/>
    <title>
        <?php echo e(config('business_setting.' . \App\Enums\BusinessSettingEnum::BUSINESS_NAME->value)); ?>

    </title>
    <link rel="icon" type="image/x-icon" href="<?php echo e(config('business_setting.' . \App\Enums\BusinessSettingEnum::LOGO->value)); ?>">

    <link href="https://fonts.googleapis.com" rel="preconnect"/>
    <link href="https://fonts.gstatic.com" rel="preconnect" crossorigin="anonymous"/>
    <script src="<?php echo e(asset('frontend-assets/js/webfonts.js')); ?>" type="text/javascript"></script>
    <script async="" src="<?php echo e(asset('frontend-assets/js/cookie-consent.js')); ?>" fs-cc-mode="opt-in"></script>
    <script type="text/javascript">
        WebFont.load({
            google: {
                families: [
                    "Montserrat:100,100italic,200,200italic,300,300italic,400,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic",
                ],
            },
        });
        !(function (o, c) {
            var n = c.documentElement,
                t = " w-mod-";
            (n.className += t + "js"),
            ("ontouchstart" in o ||
                (o.DocumentTouch && c instanceof DocumentTouch)) &&
            (n.className += t + "touch");
        })(window, document);
        // Snippet to keep code from running when the Editor is open
        var Webflow = Webflow || [];
        Webflow.push(function () {
            if (!Webflow.env("editor")) {
                // Run custom JS code here

                if (location.href !== location.href.toLowerCase()) {
                    location.href = location.href.toLowerCase();
                }
            }
        });

        document.addEventListener('DOMContentLoaded', function() {
            // Get the menu icon and the mobile menu elements
            var menuIcon = document.querySelector('.menu-icon-2');
            var mobileMenu = document.querySelector('.mobile-menu');

            // Add a click event listener to the menu icon
            menuIcon.addEventListener('click', function() {
                // Toggle the 'show' class on the mobile menu
                mobileMenu.classList.toggle('show');
            });
        });

    </script>

    <link href="<?php echo e(asset('frontend-assets/css/style.css')); ?>" rel="stylesheet" type="text/css"/>
    <link href="<?php echo e(asset('frontend-assets/css/custom.css')); ?>" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css"
          integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg=="
          crossorigin="anonymous" referrerpolicy="no-referrer"/>
    <?php echo $__env->yieldPushContent('css'); ?>
</head>

<body class="body">

<div class="fs-cc-components">
    <div fs-cc="banner" class="fs-cc-banner_component">
        <div class="fs-cc-banner_container">
            <div class="fs-cc-banner_text">
                By clicking <strong>“Accept All Cookies”</strong>, you agree to the
                storing of cookies on your device to enhance site navigation,
                analyze site usage, and assist in our marketing efforts.
            </div>
            <div class="fs-cc-banner_buttons-wrapper">
                <a fs-cc="deny" href="#" class="fs-cc-banner_button fs-cc-button-alt w-button">Deny</a>
                <a fs-cc="allow" href="#" class="fs-cc-banner_button w-button">Accept</a>
            </div>
        </div>
        <div fs-cc="interaction" class="fs-cc-banner_trigger"></div>
    </div>
</div>

<?php echo $__env->make('layout.partials._header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


<?php echo $__env->yieldContent('content'); ?>


<?php echo $__env->make('layout.partials._footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<script src="<?php echo e(asset('frontend-assets/js/jquery.js')); ?>" type="text/javascript" crossorigin="anonymous"></script>

<script>
    // GROUP MEGAMENU ITEMS
    const megaMenuWrappers = document.querySelectorAll(".megamenu-wrapper");
    megaMenuWrappers.forEach((megaMenuWrapper) => {
        const listItems = megaMenuWrapper.querySelectorAll(".megamenu-item");

        const megamenugroups = {};
        listItems.forEach((listItem) => {
            const subcategory = listItem.getAttribute("subcategory");
            if (!megamenugroups[subcategory]) {
                megamenugroups[subcategory] = [];
            }
            megamenugroups[subcategory].push(listItem);
        });

        const sortedGroups = Object.keys(megamenugroups).sort();
        sortedGroups.forEach((subcategory) => {
            const groupList = document.createElement("div");
            groupList.classList.add("megamenu-group-list");
            megaMenuWrapper.appendChild(groupList);

            const title = document.createElement("div");
            title.classList.add("megamenu-category-title");
            title.textContent = subcategory;
            groupList.appendChild(title);

            megamenugroups[subcategory].forEach((listItem) => {
                groupList.appendChild(listItem);
            });
        });
    });
</script>
<?php echo $__env->yieldPushContent('js'); ?>
</body>
</html>
<?php /**PATH /home/coachbetics/public_html/alsayh/resources/views/layout/app.blade.php ENDPATH**/ ?>